Subject: Re: [PATCH] powerpc: convert 'iommu_alloc failed' messages to dynamic debug

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 14 Jun 2016 07:51:19 +1000

On Mon, 2016-06-13 at 18:43 -0300, Mauricio Faria de Oliveira wrote:
> Hi Ben,
> 
> On 06/13/2016 06:26 PM, Benjamin Herrenschmidt wrote:
> > I've been thinking about this a bit... it might be worthwhile adding
> > a dma_* call to query the approximate size of the IOMMU window, as
> > a way for the device to adjust its requirements dynamically.
> 
> Ok, cool; something like it was one of the options being discussed here.
> 
> What do you mean by 'approximate'? Maybe the size of 'free regions' in 
> the pools? -- not sure because iiuic the window size is static / 2 gig,
> so didn't get why (or of what) to provide an approximation (for).

Approximate wasn't a great choice of word but what I meant is:

 - The size doesn't mean you can do an allocation that size (pools
layout etc..)

 - And it might be shared with another device (though less likely
these days).

> > Another option would be to use a dma_attr for silencing mapping errors
> > which NVME could use provided it does handle them gracefully ...
> 
> Ah, that's new. Interesting. Thanks for suggestion!

Cheers,
Ben.